# Cancel an ACH Transfer

## Overview

This DELETE endpoint enables you to cancel an outstanding ACH deposit or withdrawal.

There are six required parameters that must be provided in the request:

1. **Et-App-Key** (header). This is the unique key of your app that identifies your app when communicating with our service. Contact your administrator to get this key.
2. **Authorization** (header). This is the authorization token from the very first [token request](/rest-api/trading-api/authentication.md).
3. **API version** (path). Unless necessary, leave it at "1.0".
4. **accountId** (path). This is the [internal identifier](/rest-api/trading-api/user-accounts/list-users-accounts.md) of the trading account in Autoshares Trader.
5. **transferId** (path). This is the ID of the transfer which is intended to be cancelled.&#x20;
6. **comment** (query). This is a string containing the reason for canceling the deposit or withdrawal.

Here's the final template for this API request:

```
DELETE apiURL/v1.0/accounts/{accountId}/transfers/{transferId}?comment=Accidental%20transfer
```

## Response

In response to this API request, if the transfer was successfully canceled, you will receive the 204 status code and no response body.

## Common Mistakes

Here are some of the common mistakes that developers make when attempting to cancel an outstanding funds transfer.

### Failing to Specify the Et-App-Key Parameter

If you specify the wrong Et-App-Key parameter or fail to include it in the header altogether, you'll get the following error:

```javascript
{
    "error": "Application key is not defined or does not exist"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/cancel-an-ach-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
